const CopyWebpackPlugin = require('copy-webpack-plugin');

module.exports = {
    entry: { 'main': './src/index.js' },
    module: {
        rules: [
            {
                test: /\.(js)$/,
                exclude: /node_modules/,
                use: ['babel-loader']
            },
            {
                test: /\.s[ac]ss$/i,
                use: [
                    'style-loader',
                    'css-loader',
                    'sass-loader',
                ],
            },
            {
                test: /\.(jpe?g|gif|png|svg)$/,
                use: [{
                    loader: "url-loader",
                    options: { name: "[name].[ext]", outputPath: "./content/", useRelativePath: true, emitFile: false }
                }]
            }
        ]
    },
    plugins: [
        new CopyWebpackPlugin({
            patterns: [
                {
                    from: './index.html',
                    to: 'index.html'
                }
            ]
        }),
    ],
    output: {
        path: __dirname + '/dist',
        publicPath: '/',
        filename: 'bundle.js'
    },
    devServer: {
        contentBase: './dist',
        port: 9000,
        historyApiFallback: true
    }
};
